Skip to main content
Monitoring & Collection/Grafana Dashboards
DELETEGrafanaSince 1.0SynchronousAuth Required

ReleaseDashboardLock

Release a previously acquired dashboard edit lock

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • dashboardIdStringRequired

    UUID of the dashboard to release the lock from

  • lockIdStringRequired

    UUID of the lock to release

Query Parameters

  • forceBoolean

    Whether to force-release a lock held by another user Whether to force-release a lock held by another user

    Example: true

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/api/v1/monitoring/dashboards/{dashboardId}/lock/{lockId}

/api/v1/monitoring/dashboards/{dashboardId}/lock/{lockId}

Operation ID

ReleaseDashboardLock

Permalink

Request Example

curl -X DELETE '{host}/api/v1/monitoring/dashboards/{dashboardId}/lock/{lockId}' -H 'Authorization: Bearer {token}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history